Name:           mcs
Version:        0.7.1
Release:        1%{?dist}
Summary:        A configuration file abstraction library

Group:          Applications/System
License:        BSD
URL:            http://atheme.org/projects/mcs.shtml
Source0:        http://distfiles.atheme.org/libmcs-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  GConf2-devel
BuildRequires:  libmowgli-devel >= 0.4.0

%description
mcs is a library and set of userland tools which abstract the storage of
configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but unlike
those projects, mcs strictly handles abstraction. It does not impose any
specific data storage requirement, nor is it tied to any desktop environment or
software suite.

%package libs
Summary:        Library files for the mcs configuration system
Group:          System Environment/Libraries

%description libs
mcs is a library and set of userland tools which abstract the storage of
configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but unlike
those projects, mcs strictly handles abstraction. It does not impose any
specific data storage requirement, nor is it tied to any desktop environment or
software suite.

This package contains the libraries necessary for programs using mcs.

%package devel
Summary:        Development files for the mcs configuration system
Group:          Development/Libraries

Requires:       mcs-libs = %{version}-%{release}
Requires:       pkgconfig

%description devel
mcs is a library and set of userland tools which abstract the storage of
configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but unlike
those projects, mcs strictly handles abstraction. It does not impose any
specific data storage requirement, nor is it tied to any desktop environment or
software suite.

This package contains the files necessary for writing programs that use mcs.


%prep
%setup -q -n libmcs-%{version}

# Make the build system more verbose
perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

# The build generates a wrong SONAME, fix it.
perl -pi -e "s/-soname=.*'/-soname=\\\$\{LIB\}.\\\$\{LIB_MAJOR\}'/" configure

%build
%configure \
    --enable-gconf \
    --disable-dependency-tracking

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
echo "gconf" > $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend
chmod 0644 $RPM_BUILD_ROOT%{_sysconfdir}/mcs-backend



%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/*

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%config(noreplace) %{_sysconfdir}/mcs-backend
%{_libdir}/*.so.*
%{_libdir}/mcs

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/libmcs
%{_libdir}/pkgconfig/libmcs.pc

%changelog
* Sat Jun 07 2008 Ralf Ertzinger <ralf@skytale.net> 0.7.1-1
- Update to 0.7.1

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-4
- Autorebuild for GCC 4.3

* Mon Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.0-3
- Fix incorrect SONAME for library
- Add libmowgli build requires

* Thu Nov 08 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.0-1
- Update to 0.6.0

* Thu Apr 12 2007 Ralf Ertzinger <ralf@skytale.net> 0.4.1-3.fc7
- Mark config file as such

* Sun Apr 08 2007 Ralf Ertzinger <ralf@skytale.net> 0.4.1-2.fc7
- Add %%{_sysconfdir}/mcs-backend to select default storage backend as gconf

* Mon Apr 02 2007 Ralf Ertzinger <ralf@camperquake.de> 0.4.1-1.fc7
- Initial build for FE
